curl --request POST \
--url 'https://api.stateset.com/api/v1/loyalty/enroll' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"created_at": "2026-07-24T12:00:00Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lifetime_points": 1,
"points_balance": 1,
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tier": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
`POST /api/v1/loyalty/enroll`
POST /api/v1/loyalty/enroll
POST
/
api
/
v1
/
loyalty
/
enroll
curl --request POST \
--url 'https://api.stateset.com/api/v1/loyalty/enroll' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"created_at": "2026-07-24T12:00:00Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lifetime_points": 1,
"points_balance": 1,
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tier": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
Request body
EnrollCustomerRequest
string (uuid)
required
Customer to enroll.
string (uuid)
required
Loyalty program to enroll in.
Responses
LoyaltyAccountResponse
Customer enrolled
ErrorBody
Invalid request
ErrorBody
Program or customer not found
curl --request POST \
--url 'https://api.stateset.com/api/v1/loyalty/enroll' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"created_at": "2026-07-24T12:00:00Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lifetime_points": 1,
"points_balance": 1,
"program_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tier": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
⌘I